#!/bin/bash
    export CORE_NUM=$((x=$(nproc --all), x-1))
    export GCC_VERSION=13.2.0
    export BINUTILS_VERSION=2.41
    export GDB_VERSION=15.1
    export TEXINFO_VERSION=7.0.3
    export BISON_VERSION=3.8.2
    export GLIBC_VERSION=2.15
    export LINUX_HEADERS_VERSION=6.6.9
    export OPENSSL_VERSION=3.3.1
    export PYTHON2_VERSION=2.7.18
    export PYTHON3_VERSION=3.12.3
    export SQLITE_VERSION=3.44.0
    export POSTGRES_VERSION=16.2
    export ICU_VERSION=74.1
    export LIBPCAP_VERSION=1.10.4
    export LLVM_VERSION=18.1.4
    export CMAKE_VERSION=3.30.0
    export NINJA_VERSION=1.12.1
    export NODEJS_VERSION=21.1.0
    export GLIB_VERSION=2.80.0
    export GIT_VERSION=2.45.0
    export CURL_VERSION=8.4.0
    export AUTOCONF_VERSION=2.71
    export LIBTOOL_VERSION=2.4.7
    export AUTOMAKE_VERSION=1.16.5
    export LIBSSH2_VERSION=1.11.0
    export MAKE_VERSION=4.4.1
    export WGET_VERSION=1.24.5
    export GETTEXT_VERSION=0.22.3
    export PKGCONFIG_VERSION=0.29.2
    export XCBPROTO_VERSION=1.16.0
    export UTILMACROS_VERSION=1.20.0
    export XORGPROTO_VERSION=2023.2
    export LIBXAU_VERSION=1.0.11
    export LIBXDMCP_VERSION=1.1.4
    export LIBXCB_VERSION=1.16
    export FREETYPE_VERSION=2.13.2
    export HURFBUZZ_VERSION=8.4.0
    export FONTCONFIG_VERSION=2.15.0
    export XKEYBOARDCONFIG_VERSION=2.40
    export LIBXKBCOMMON_VERSION=1.6.0
    export LIBXTRANS_VERSION=1.5.0
    export LIBX11_VERSION=1.8.7
    export LIBXEXT_VERSION=1.3.5
    export LIBFS_VERSION=1.0.9
    export LIBICE_VERSION=1.1.1
    export LIBSM_VERSION=1.2.4
    export LIBXSCRNSAVER_VERSION=1.2.4
    export LIBXT_VERSION=1.3.0
    export LIBXMU_VERSION=1.1.4
    export LIBXPM_VERSION=3.5.17
    export LIBXAW_VERSION=1.0.15
    export LIBXFIXES_VERSION=6.0.1
    export LIBXCOMPOSITE_VERSION=0.4.6
    export LIBXRENDER_VERSION=0.9.11
    export LIBXCURSOR_VERSION=1.2.1
    export LIBXDAMAGE_VERSION=1.1.6
    export LIBFONTENC_VERSION=1.1.7
    export LIBXFONT2_VERSION=2.0.6
    export LIBXFT_VERSION=2.3.8
    export LIBXI_VERSION=1.8.1
    export LIBXINERAMA_VERSION=1.1.5
    export LIBXRANDR_VERSION=1.5.4
    export LIBXRES_VERSION=1.2.2
    export LIBXTST_VERSION=1.2.4
    export LIBXV_VERSION=1.0.12
    export LIBXVMC_VERSION=1.0.13
    export LIBXXF86DGA_VERSION=1.1.6
    export LIBXXF86VM_VERSION=1.1.5
    export LIBPCIACCESS_VERSION=0.17
    export LIBXKBFILE_VERSION=1.1.2
    export LIBXSHMFENCE_VERSION=1.3.2
    export LIBXPRESENT_VERSION=1.0.1
    export LIBXCBRENDERUTIL_VERSION=0.3.10
    export LIBXCBWM_VERSION=0.4.2
    export LIBXCBKEYSYMS_VERSION=0.4.1
    export LIBXCBUTIL_VERSION=0.4.1
    export LIBXCBIMAGE_VERSION=0.4.1
    export LIBXCBCURSOR_VERSION=0.1.5
    export NSPR_VERSION=4.35
    export NSS_VERSION=3.101
    export DBUS_VERSION=1.15.8
    export ATSPI2CORE_VERSION=2.50.0
    export LIBDRM_VERSION=2.4.120
    export GN_VERSION=2023.03
    export NCURSES_VERSION=6.5
    export LIBEVENT_VERSION=2.1.12
    export ZLIB_VERSION=1.3
    export GI_VERSION=1.80.1
    export LIBSECRET_VERSION=0.21.1
    export VALA_VERSION=0.56.17
    export XSLT_VERSION=1.1.38
    export LIBGCRYPT_VERSION=1.10.2
    export LIBGPGERROR_VERSION=1.47
    export FIG2DEV_VERSION=3.2.9
    export CAIRO_VERSION=1.18.0
    export GTK_VERSION=3.24.38
    export SHAREDMIMEINFO_VERSION=2.3
    export LIBPNG_VERSION=1.6.40
    export HELP2MAN_VERSION=1.49.3
    export M4_VERSION=1.4.19
    export LIBXML2_VERSION=2.11.5
    export TAR_VERSION=1.35
    export READLINE_VERSION=8.2
    export BZIP2_VERSION=1.0.8
    export LIBFFI_VERSION=3.4.4
    export XZ_VERSION=5.4.5
    export UTILLINUX_VERSION=2.39.2
    export FLEX_VERSION=2.6.4
    export WAYLAND_VERSION=1.22.0
    export WAYLANDPROTOCOLS_VERSION=1.32
    export EXPAT_VERSION=2.5.0
    export GPERF_VERSION=3.1
    export QT5_VERSION=5.15.14
    export QT6_VERSION=6.7.2
    export QTCREATOR_VERSION=14.0.0
    export QTINSTALLFRAMEWORK_VERSION=4.8.0
    export LXQTVERSION_VERSION=0.13.0
    export QTERMWIDGET_VERSION=1.4.0
    export QTERMINAL_VERSION=1.4.0
    export CQTDEPLOYER_VERSION=1.6.2360
    export LINUXPAM_VERSION=1.5.3
    export POLKIT_VERSION=123
    export DUKTAPE_VERSION=2.7.0
    export ELOGIND_VERSION=252.9
    export ALSALIB_VERSION=1.2.10
    export LIBTASN1_VERSION=4.19.0
    export P11KIT_VERSION=0.25.2
    export MAKECA_VERSION=1.13
    export NETTLE_VERSION=3.9.1
    export LIBUNISTRING_VERSION=1.1
    export GNUTLS_VERSION=3.8.1
    export GMP_VERSION=6.3.0
    export LIBUSB_VERSION=1.0.26
    export CUPS_VERSION=2.4.7
    export GSTREAM_VERSION=1.22.6
    export GSTPLUGINBASE_VERSION=1.22.6
    export GSTPLUGINGOOD_VERSION=1.22.6
    export MPG123_VERSION=1.32.3
    export JASPER_VERSION=4.1.0
    export LIBJPEGTURBO_VERSION=3.0.1
    export TIFF_VERSION=4.6.0
    export LCMS2_VERSION=2.14
    export LIBMNG_VERSION=2.0.3
    export LIBWEBP_VERSION=1.3.2
    export MTDEV_VERSION=1.1.6
    export LIBICAL_VERSION=3.0.18
    export BLUEZ_VERSION=5.70
    export SYSTEMD_VERSION=254
    export PERL_VERSION=5.38.0
    export XMLPARSER_VERSION=2.46
    export XCBUTILWM_VERSION=0.4.2
    export FFMPEG_VERSION=6.1
    export FRIBIDI_VERSION=1.0.13
    export PANGO_VERSION=1.51.0
    export GDKPIXBUF_VERSION=2.42.10
    export LIBEPROXY_VERSION=1.5.10
    export DOCBOOK_VERSION=4.5
    export TILIX_VERSION=1.9.6
    export VTE_VERSION=0.74.1
    export CONFUSE_VERSION=3.3
    export BASH_VERSION=5.2.21
    export GITLAB_RUNNER_VERSION=16.7.0
    export LIBOGG_VERSION=1.3.5
    export LIBCANBERRA_VERSION=0.30
    export LIBVORBIS_VERSION=1.3.7
    export LIBCAP_VERSION=2.69
    export INTLTOOL_VERSION=0.40.6
    export PIXMAN_VERSION=0.43.4
    export GRAPHVIZ_VERSION=10.0.1
    export BROTLI_VERSION=1.1.0
    export MESA_VERSION=24.0.6
    export SPIRV_HEADERS_VERSION=1.3.280.0
    export SPIRV_TOOLS_VERSION=1.3.280.0
    export GLGLANG_VERSION=14.1.0
    export ELFUTILS_VERSION=0.191
    export LIBARCHIVE_VERSION=3.7.4
    export MESON_VERSION=1.4.0
    export PCRE2_VERSION=10.37
    export MPFR_VERSION=4.2.1
    export VULKAN_HEADERS_VERSION=1.3.287
    export VULKAN_LOADER_VERSION=1.3.287
    export LIBFTDI1_VERSION=1.5
    export LIBUSB_VERSION=1.0.27
    export LIBCONFUSE_VERSION=2.5
    export ZSTD_VERSION=1.5.6
    export LIBGLVND_VERSION=1.7.0
    export QTERMWIDGET_VERSION=2.0.1
    export QTERMINAL_VERSION=2.0.1
    export LIBXCRYPT_VERSION=4.4.36
    export CHRPATH_VERSION=0.16
    export SUDO_VERSION=1.0.3
    export GOOGLETEST_VERSION=1.14.0
    export VALGRIND_VERSION=3.23.0

    export INSTALL_PATH=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
    #export INSTALLER_VERSION=$(git describe --abbrev=0 --tags)
    export PATH_PKG_GENERATE=${INSTALL_PATH}/installer
    export PATH_BUILD_DIRECTORY=/home/${USER}/.tmp
    export ROOT_SRC_URL="https://files.acnas.net/Develop/Linux/src/"
    export ROOT_RUNNER_URL="https://files.acnas.net/Develop/Linux/runner/"
    export ROOT_REMOTE_REPO_URL="http://192.168.64.189/qt/linux/repository,http://192.168.1.170/qt/linux/repository,https://files.acnas.net/Develop/Linux/repository"

    export SYSTEM_ROOT=${INSTALL_PATH}/tools/x86_64-linux-gnu/x86_64-ubuntu12.04-linux-gnu/sysroot
    export SYSROOT=${SYSTEM_ROOT}

    export CXX=${INSTALL_PATH}/tools/x86_64-linux-gnu/bin/x86_64-ubuntu12.04-linux-gnu-c++
    export CC=${INSTALL_PATH}/tools/x86_64-linux-gnu/bin/x86_64-ubuntu12.04-linux-gnu-gcc
    export CPP=${INSTALL_PATH}/tools/x86_64-linux-gnu/bin/x86_64-ubuntu12.04-linux-gnu-cpp

    export SSL_CERT_DIR=/etc/ssl/certs

    function generatePathLast {
        APP_PATH=${1}
        function getLast {
            echo ${@: -1}
        }
        echo "${APP_PATH}/$(getLast $(ls ${APP_PATH}))/usr/bin"
    }

    export PATH=\
${INSTALL_PATH}/tools/x86_64-linux-gnu/bin:\
${SYSTEM_ROOT}/usr/libexec/git-core:\
${SYSTEM_ROOT}/usr/bin:\
$(generatePathLast ${SYSTEM_ROOT}/opt/tools/CQtDeployer):\
$(generatePathLast ${SYSTEM_ROOT}/opt/tools/qtcreator):\
$(generatePathLast ${SYSTEM_ROOT}/opt/tools/qtif):\
${PATH}

    export PKG_CONFIG_PATH=

    export PKG_CONFIG_LIBDIR=\
${SYSTEM_ROOT}/usr/lib/pkgconfig:\
${SYSTEM_ROOT}/usr/lib64/pkgconfig:\
${SYSTEM_ROOT}/usr/share/pkgconfig

    export PKG_CONFIG_SYSROOT_DIR=${SYSTEM_ROOT}

    export LD_LIBRARY_PATH=${SYSTEM_ROOT}/usr/lib

#    export LIBRARY_PATH=${LD_LIBRARY_PATH}

    export ACLOCAL_PATH=\
${SYSTEM_ROOT}/usr/share/aclocal:\
${SYSTEM_ROOT}/usr/share/aclocal-1.16


     export XDG_DATA_DIRS=/usr/share:/usr/local/share:${SYSTEM_ROOT}/usr/share

     export LIBGL_DRIVERS_PATH=${SYSTEM_ROOT}/usr/lib/dri

     export LIBGL_ALWAYS_SOFTWARE=true

     export PERL5LIB=${SYSTEM_ROOT}/usr/lib/perl5/5.38.0/
     export PERL_SRC=${SYSTEM_ROOT}/usr/lib/perl5/5.38.0/x86_64-linux/CORE
     export GIT_EXEC_PATH=${SYSTEM_ROOT}/usr/libexec/git-core
     export GIT_SSL_CAPATH=/etc/ssl/certs
     export PYTHONHOME=${SYSTEM_ROOT}/usr

    export SUDO_ASKPASS=${SYSTEM_ROOT}/usr/bin/acnas-askpass
    export SSH_ASKPASS=${SYSTEM_ROOT}/usr/bin/acnas-askpass
    #export QT_XCB_GL_INTEGRATION=none

    export INSTALLER_VERSION=$(git describe --abbrev=0 --tags 2>/dev/null)

$@
